HOSTNAME(1)

NOM
hostname - affiche ou définit le nom d'hôte du système
domainname - affiche le nom de domaine NIS/YP du système
dnsdomainname - affiche le nom de domaine du système
nisdomainname - affiche ou définit le nom de domaine NIS/YP du système
ypdomainname - affiche ou définit le nom de domaine NIS/YP du système
nodename - affiche ou définit le nom de domaine DECnet du système

SYNOPSIS
hostname [-v] [-a] [--alias] [-d] [--domain] [-f] [--fqdn] [-i] [--ip-address] [--long] [-s] [--short] [-y] [--yp] [--nis] [-n] [--node]

hostname [-v] [-F nom_fichier] [--file nom_fichier] [hostname]

domainname [-v] [-F nom_fichier] [--file nom_fichier] [name]

nodename [-v] [-F nom_fichier] [--file nom_fichier] [name]

hostname [-v] [-h] [--help] [-V] [--version]

dnsdomainname [-v]
nisdomainname [-v]
ypdomainname [-v]

DESCRIPTION
Hostname est le programme utilisé soit pour définir le nom d'hôte, soit pour visualiser le nom d'hôte ou de domaine du système. Ce nom est utilisé par différents programmes réseaux pour identifier la machine. Le nom de domaine est également utilisé par les NIS/YP.

  OBTENTION DU NOM
Appelé sans argument, le programme affiche les noms courants:

hostname fournit le nom du système tel qu'il est retourné par la fonction getdomainname(2). Ceci est connu comme nom de domaine YP/NIS du système.

nodename fournit le nom de noeud DECnet du système tel qu'il est retourné par la fonction getnodename(2)

dnsdomainname fournit la partie domaine du nom complètement qualifié - FQDN (Fully Qualified Domain Name). Le nom FQDN du système est retourné par la commande hostname --fqdn.

  SET NAME
Appelé avec un argument ou avec l'option --file , la commande définit le nom d'hôte, le nom de domaine NIS/YP ou le nom de noeud.

Notez que seul le super-utilisateur peut changer les noms.

Il n'est pas possible de définir le nom FQDN ou le nom de domaine DNS avec la commande dnsdomainname
 (voir LE FQDN ci-dessous).

Le nom d'hôte est générallement définit une seule fois, au démarrage du système, par le script de configuration /etc/rc.d/rc.inet1. ou /etc/init.d/boot (normallement en lisant un fichier contenant ce nom, p.ex. /etc/hostname).

  LE FQDN
Vous pouvez modifier le FQDN (tel que fourni par la commande hostname --fqdn) ou le nom de domaine DNS (tel que fourni par la commande dnsdomainname) avec cette commande. Le FQDN du système est le nom que le resolveur ( resolver(3)
 ) retourne comme nom d'hôte.

Techniquement: Le FQDN est le nom fourni par gethostbyname(2) à partir du nom d'hôte retourné par gethostname(2). Le nom de domaine DNS est la partie suivant le premier point.

La façon dont vous pouvez le changer dépend de la configuration (habituellement dans /etc/host.conf). Si le fichier 'hosts' est analysé avant d'interroger le DNS ou NIS) vous pouvez le changer dans le fichier /etc/hosts.

OPTIONS

-a, --alias
    Affiche l'alias de l'hôte (si utilisé).

-d, --domain
    Affiche le nom du domaine DNS. Ne pas utiliser la commande domainname pour obtenir le nom de domaine DNS car vous obtiendrez en réalité le nom de domaine NIS. Utilisez plutôt la commande dnsdomainname

-F, --file nom_fichier
    Lit le nom d'hôte à partir du fichier spécifié. Les commentaires (lignes commençant par un `#') sont ignorés.

-f, --fqdn, --long
    Affiche le nom pleinement qualifié - FQDN (Fully Qualified Domain Name). un FQDN consiste en un nom d'hôte court et un nom de domaine. A moins que vous utilisiez 'bind' ou les NIS pour la recherche d'hôtes, vous pouvez changer le nom FQDN et le nom de domaine (qui fait partie du FQDN) dans le fichier /etc/hosts.

-h, --help
    Affiche un message d'aide et se termine.

-i, --ip-address
    Affiche la (les) adresse(s) IP de l'hôte.

-n, --node
    Affiche le nom de noeud DECnet. Si un paramètre est fourni (ou --file nom_fichier ) le super-utilisateur peut également définir un nouveau nom de neud.

-s, --short
    Affiche le nom d'hôte en format court. Il s'agit du nom d'hôte coupé au premier point.

-V, --version
    Affiche les informations sur la version sur la sortie standard et se termine correctement.

-v, --verbose
    Mode verbeux.

-y, --yp, --nis
    Affiche le nom de domaine NIS. Si un paramètre est fourni (ou --file nom_fichier ) le super-utilisateur peut également définir un nouveau nom de domaine NIS.

FICHIERS
/etc/hosts

AUTEURS
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS et pages de manuel).
Steve Whitehouse, <SteveW@ACM.org> (Support DECnet et pages de manuel).

TRADUCTION
Jean Michel VANSTEENE (vanstee@worldnet.fr)